Package ru.bitel.bgbilling.kernel.bgsecure.server.bean

# Class BGSQueryLogEntry

java.lang.Object
ru.bitel.bgbilling.kernel.bgsecure.server.bean.BGSQueryLogEntry

    public class BGSQueryLogEntry
    extends java.lang.Object

Запрос к Executer'у

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BGSQueryLogEntry()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getActionId()` | Возвращает код действия
  `java.lang.String` | `getActionTitle()` | Возвращает имя действия
  `int` | `getContractId()` | Возвращает код договора
  `java.lang.String` | `getContractTitle()` | Возвращает номер договора
  `java.util.Date` | `getDate()` | Возвращает дату лога
  `java.lang.String` | `getModuleId()` | Возвращает код модуля
  `java.lang.String` | `getModuleName()` | Возвращает имя модуля
  `java.lang.String` | `getQueryString()` | Возвращает строку запроса
  `java.lang.String` | `getRemoteAddr()` | Возвращает адрес, с которого выполнен запрос
  `int` | `getUserId()` | Возвращает код пользователя
  `java.lang.String` | `getUserName()` | Возвращает имя пользователя
  `void` | `setActionId​(int actionId)` | Устанавливает код действия
  `void` | `setActionTitle​(java.lang.String actionTitle)` | Устанавливает имя действия
  `void` | `setContractId​(int contractId)` | Устанавливает код договора
  `void` | `setContractTitle​(java.lang.String contractTitle)` | Устанавливает номер договора
  `void` | `setDate​(java.util.Date date)` | Устанавливает дату лога
  `void` | `setModuleId​(java.lang.String moduleId)` | Устанавливает код модуля
  `void` | `setModuleName​(java.lang.String moduleName)` | Устанавливает имя модуля
  `void` | `setQueryString​(java.lang.String queryString)` | Устанавливает строку запроса
  `void` | `setRemoteAddr​(java.lang.String remoteAddr)` | Устанавливает адрес, с которого выполнен запрос
  `void` | `setUserId​(int userId)` | Устанавливает код пользователя
  `void` | `setUserName​(java.lang.String userName)` | Устанавливает имя пользователя

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGSQueryLogEntry

    public BGSQueryLogEntry()

- ## Method Details

  - ### getUserId

    public int getUserId()
    Возвращает код пользователя
    Returns:

  - ### setUserId

    public void setUserId​(int userId)
    Устанавливает код пользователя
    Parameters:
      `userId` -

  - ### getRemoteAddr

    public java.lang.String getRemoteAddr()
    Возвращает адрес, с которого выполнен запрос
    Returns:

  - ### setRemoteAddr

    public void setRemoteAddr​(java.lang.String remoteAddr)
    Устанавливает адрес, с которого выполнен запрос
    Parameters:
      `remoteAddr` -

  - ### getContractId

    public int getContractId()
    Возвращает код договора
    Returns:

  - ### setContractId

    public void setContractId​(int contractId)
    Устанавливает код договора
    Parameters:
      `contractId` -

  - ### getActionTitle

    public java.lang.String getActionTitle()
    Возвращает имя действия
    Returns:

  - ### setActionTitle

    public void setActionTitle​(java.lang.String actionTitle)
    Устанавливает имя действия
    Parameters:
      `actionTitle` -

  - ### getQueryString

    public java.lang.String getQueryString()
    Возвращает строку запроса
    Returns:

  - ### setQueryString

    public void setQueryString​(java.lang.String queryString)
    Устанавливает строку запроса
    Parameters:
      `queryString` -

  - ### getModuleId

    public java.lang.String getModuleId()
    Возвращает код модуля
    Returns:

  - ### setModuleId

    public void setModuleId​(java.lang.String moduleId)
    Устанавливает код модуля
    Parameters:
      `moduleId` -

  - ### getActionId

    public int getActionId()
    Возвращает код действия
    Returns:

  - ### setActionId

    public void setActionId​(int actionId)
    Устанавливает код действия
    Parameters:
      `actionId` -

  - ### getContractTitle

    public java.lang.String getContractTitle()
    Возвращает номер договора
    Returns:

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)
    Устанавливает номер договора
    Parameters:
      `contractTitle` -

  - ### getUserName

    public java.lang.String getUserName()
    Возвращает имя пользователя
    Returns:

  - ### setUserName

    public void setUserName​(java.lang.String userName)
    Устанавливает имя пользователя
    Parameters:
      `userName` -

  - ### getModuleName

    public java.lang.String getModuleName()
    Возвращает имя модуля
    Returns:

  - ### setModuleName

    public void setModuleName​(java.lang.String moduleName)
    Устанавливает имя модуля
    Parameters:
      `moduleName` -

  - ### setDate

    public void setDate​(java.util.Date date)
    Устанавливает дату лога
    Parameters:
      `date` -

  - ### getDate

    public java.util.Date getDate()
    Возвращает дату лога
    Returns: